Quotes
Get All Fiat-to-Stablecoin Quotes
Get quotes from all available routes for converting fiat currency to a stablecoin
GET
/
api
/
quotes
/
fiat-to-stablecoin
/
all
Get All Fiat-to-Stablecoin Quotes
curl --request GET \
--url https://api.teel.finance/api/quotes/fiat-to-stablecoin/allimport requests
url = "https://api.teel.finance/api/quotes/fiat-to-stablecoin/all"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.teel.finance/api/quotes/fiat-to-stablecoin/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"protocol": "rt_5Tn1bQp8w2k",
"fromCcy": "USD",
"toCcy": "USDC",
"fromAmount": 1000,
"toAmount": 998.50,
"exchangeRate": 1.0,
"effRate": 0.9985,
"fee": 1.50,
"isCryptoQuote": true,
"swapPath": "USD -> USDC"
},
{
"protocol": "rt_8QmVxT2pA9c",
"fromCcy": "USD",
"toCcy": "USDC",
"fromAmount": 1000,
"toAmount": 995.00,
"exchangeRate": 1.0,
"effRate": 0.995,
"fee": 5.00,
"isCryptoQuote": true,
"swapPath": "USD -> USDC"
}
]
Returns an every available quote for converting fiat currency into a stablecoin. Useful for comparing rates and routes.
Query parameters
string
required
ISO 4217 currency code for the source fiat currency (e.g.
USD, EUR).string
required
The target stablecoin token symbol (e.g.
USDC, USDT).number
required
The amount in the source fiat currency to convert.
Response
Returns an array of stablecoin quote objects.array
Show StablecoinQuote object
Show StablecoinQuote object
string
Opaque route token (
rt_...) identifying the route. See Route tokens.string
Source fiat currency code.
string
Target stablecoin token symbol.
number
Amount in the source fiat currency.
number
Amount of stablecoin the user will receive.
number
The raw exchange rate before fees.
number
The effective exchange rate after fees are applied.
number
Total fee charged for the conversion.
boolean
Whether this quote involves a crypto leg.
string
Description of the swap path used.
[
{
"protocol": "rt_5Tn1bQp8w2k",
"fromCcy": "USD",
"toCcy": "USDC",
"fromAmount": 1000,
"toAmount": 998.50,
"exchangeRate": 1.0,
"effRate": 0.9985,
"fee": 1.50,
"isCryptoQuote": true,
"swapPath": "USD -> USDC"
},
{
"protocol": "rt_8QmVxT2pA9c",
"fromCcy": "USD",
"toCcy": "USDC",
"fromAmount": 1000,
"toAmount": 995.00,
"exchangeRate": 1.0,
"effRate": 0.995,
"fee": 5.00,
"isCryptoQuote": true,
"swapPath": "USD -> USDC"
}
]
⌘I
Get All Fiat-to-Stablecoin Quotes
